Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Mislukte upgrade  (gelezen 2936 keer)

Offline BailHope

  • Lid
    • Techneut
  • Steunpunt: Nee
Mislukte upgrade
« Gepost op: 2008/11/01, 11:38:24 »
Ik loop tegen het volgende probleem aan:

Ik heb geprobeerd om mijn Ubuntu 8.04 te upgraden naar 8.10 maar dit liep fout. De installatie liep vast op de melding "ldconfig deferred processing now taking place"

Ik heb de installatie toen die melding verscheen nog anderhalf uur laten doorlopen, maar er gebeurde niets meer. Ik heb dan de computer maar afgezet (ik weet dat het een slecht idee was, maar veel anders zat er niet op).

Toen ik mijn computer herstarte, kon Ubuntu gewoon terug opstarten. Ik kreeg de melding dat er updates voor mijn systeem gevonden zijn en dan kreeg ik de foutmelding:
"Sommige updates kunnen niet geïnstalleerd worden. Voer een gedeeltelijke upgrade uit om dit probleem te verhelpen. Dit komt voor wanneer een vorige upgrade niet werd voltooid."
Ik denk, leuk, en klik op het knopje "Gedeeltelijke upgrade". Dan krijg ik de foutmelding:
"Kan niet upgraden. An upgrade from 'intrepid' to 'hardy' is not supported with this tool'.
Dus Ubuntu denkt dat hij versie 'Intrepid (8.10) is en dat hij probeert te upgraden naar Hardy (wat een downgrade is)

Ik zou nu ook gewoon de cd kunnen downloaden en zo kunnen installeren, maar dan moet ik eerst gigantisch veel gegevens overzetten naar mijn Windows schijf en daar heb ik echt geen zin in. Enkel als het echt zou moeten, ga ik over tot die stap.

Weet iemand wat ik zou kunnen doen met dit systeem om het terug op het juiste pad te krijgen?
Ubuntu user #12046
Mijn blog voor techneuten: http://techneut.wordpress.com
Voor de professionele IT'er: http://it-potato.blogspot.com

Offline heir4c

  • Lid
  • Steunpunt: Nee
Mislukte upgrade
« Reactie #1 Gepost op: 2008/11/01, 12:59:56 »
(Het volgende ter info voor degene die het niet lukt te upgraden van LTS naar tussentijdse releases.)
Kijk eerst eens in Systeem> Beheer>Softwarebronnen>(tabblad)Update
Onderaan staat: Nieuwe distributiereleases weergeven.Dit moet op 'Reguliere versies' staan om te kunnen upgraden.(omdat 8.0.4 een LTS is en enkel upgrade naar een andere LTS als het voorgaande niet anders ingesteld word.

Offline dick123

  • Lid
    • http://www.akker-huis.nl
  • Steunpunt: Nee
Mislukte upgrade
« Reactie #2 Gepost op: 2008/11/01, 14:58:33 »
Citaat van: Bail Hope
Ik loop tegen het volgende probleem aan:

Ik heb geprobeerd om mijn Ubuntu 8.04 te upgraden naar 8.10 maar dit liep fout. De installatie liep vast op de melding "ldconfig deferred processing now taking place"

Ik heb de installatie toen die melding verscheen nog anderhalf uur laten doorlopen, maar er gebeurde niets meer. Ik heb dan de computer maar afgezet (ik weet dat het een slecht idee was, maar veel anders zat er niet op).

Toen ik mijn computer herstarte, kon Ubuntu gewoon terug opstarten. Ik kreeg de melding dat er updates voor mijn systeem gevonden zijn en dan kreeg ik de foutmelding:
"Sommige updates kunnen niet geïnstalleerd worden. Voer een gedeeltelijke upgrade uit om dit probleem te verhelpen. Dit komt voor wanneer een vorige upgrade niet werd voltooid."
Ik denk, leuk, en klik op het knopje "Gedeeltelijke upgrade". Dan krijg ik de foutmelding:
"Kan niet upgraden. An upgrade from 'intrepid' to 'hardy' is not supported with this tool'.
Dus Ubuntu denkt dat hij versie 'Intrepid (8.10) is en dat hij probeert te upgraden naar Hardy (wat een downgrade is)

Ik zou nu ook gewoon de cd kunnen downloaden en zo kunnen installeren, maar dan moet ik eerst gigantisch veel gegevens overzetten naar mijn Windows schijf en daar heb ik echt geen zin in. Enkel als het echt zou moeten, ga ik over tot die stap.

Weet iemand wat ik zou kunnen doen met dit systeem om het terug op het juiste pad te krijgen?
Probeer het eens op deze http://www.akker-huis.nl/ubuntu-release-upgrade.php manier. Zonder problemen kunnen upgraden van 8.04 naar 8.10

Offline heir4c

  • Lid
  • Steunpunt: Nee
Mislukte upgrade
« Reactie #3 Gepost op: 2008/11/01, 15:05:01 »
Citaat van: dick123
Probeer het eens op deze http://www.akker-huis.nl/ubuntu-release-upgrade.php manier. Zonder problemen kunnen upgraden van 8.04 naar 8.10
Dat is het zelfde als wat ik net zei.

Offline Prosper

  • Forumteam
  • Steunpunt: Nee
Mislukte upgrade
« Reactie #4 Gepost op: 2008/11/01, 15:31:27 »
Verifieer je sources.list dat er overal intrepid staat
Citaat
cat /etc/apt/sources.list
Doe dan in de terminal
Citaat
sudo apt-get update
sudo apt-get dist-upgrade
sudo apt-get dist-upgrade
Twee keer dus.
Misschien krijg je nog andere foutmeldingen maar dan post je die hier maar.
Omwille van de besparingen hebben ze het licht aan het eind van de tunnel ook uitgedaan...

Offline BailHope

  • Lid
    • Techneut
  • Steunpunt: Nee
Mislukte upgrade
« Reactie #5 Gepost op: 2008/11/01, 16:16:41 »
Ik heb gedaan wat je voorstelde, Prosper.
Bij de eerste apt-get dist-upgrade werd er een nieuwe kernel en nog wat extra bestanden gedownload en geïnstalleerd. Daarna werd me verteld de computer te herstarten, wat ik deed. Als ik nu naar updates zoek, krijg ik elke keer de melding dat mijn systeem "up to date" is.

Ik dacht, dat er misschien bij Softwarebronnen nog aangegeven zou staan dat ik enkel naar de volgende LTS wil upgraden, maar het venster "softwarebronnen" wil niet meer openen. In de terminal eindigt dit venster steeds met de volgende foutmelding:
Citaat
"Error: could not find a distribution template")
aptsources.distro.NoDistroTemplateException
maar op Google vond ik niets daarover.

Is er nog een manier om die instelling van de distributie-upgrades na te kijken?
Ubuntu user #12046
Mijn blog voor techneuten: http://techneut.wordpress.com
Voor de professionele IT'er: http://it-potato.blogspot.com

Offline Prosper

  • Forumteam
  • Steunpunt: Nee
Mislukte upgrade
« Reactie #6 Gepost op: 2008/11/01, 16:29:07 »
Herinstalleer misschien een keer software-properties-gtk... Gemakkelijkst is dat via Synaptic.
Omwille van de besparingen hebben ze het licht aan het eind van de tunnel ook uitgedaan...

Offline BailHope

  • Lid
    • Techneut
  • Steunpunt: Nee
Mislukte upgrade
« Reactie #7 Gepost op: 2008/11/01, 19:25:39 »
Dat levert helaas niets op. Heb je nog ideeën?
Ubuntu user #12046
Mijn blog voor techneuten: http://techneut.wordpress.com
Voor de professionele IT'er: http://it-potato.blogspot.com

Offline Snadder

  • Lid
  • Steunpunt: Nee
Mislukte upgrade
« Reactie #8 Gepost op: 2008/11/03, 08:13:14 »
Ik heb precies hetzelfde probleem bij het upgraden. Tot nu toe klopt elk detail.
Dan moeten er dus meer zijn die hier tegenaan lopen.

Offline Gandyman

  • Lid
  • Steunpunt: Nee
Mislukte upgrade
« Reactie #9 Gepost op: 2008/11/03, 11:05:32 »
Bij dit soort meldingen blijft hij hangen bij het verwijderen en schoonmaken...
Blijkbaar is dit verstoord door iets ?
(waarschijnlijk omdat de servers overbelast waren op het moment dat je een upgrade deed )

Doe eens deze ouderwetse opdracht en kijk of hij dan doorgaat.
aptitude safe-& & aptitude upgrade full-upgradeLet wel houd hem in de gaten, want het kan lang duren.

Je kan ook proberen met opdracht voor opdracht (zoals in Debian gewoon is)
aptitude updateaptitude safe-upgradeaptitude full-upgrade
I don't suffer from insanity, I enjoy every minute of it.
Microsoft geeft je een raam, Linux geeft je een heel huis :D

Offline Snadder

  • Lid
  • Steunpunt: Nee
Mislukte upgrade
« Reactie #10 Gepost op: 2008/11/04, 08:41:26 »
Helaas. Na aptitude full-upgrade:
"E: Sub-process /usr/bin/dpkg returned an error code (1)
Bevestigd: Er is iets ergs gebeurd bij het installeren van pakketten. Er wordt geprobeerd dat te herstellen:

Maar dan gebeurt er niet veel meer.

Dat wordt een verse installatie voor mij.

Offline Gandyman

  • Lid
  • Steunpunt: Nee
Mislukte upgrade
« Reactie #11 Gepost op: 2008/11/04, 12:25:54 »
Kan je doen maar hoeft niet,
als je nog wat wilt experimenteren en ervan wilt leren kan je hetvolgende doen:

eerst de opdracht
sudo apt-get -f installdan
sudo aptitude full-upgradenu zal hij zaken toch geinstalleerd hebben die hem tegen hielden.
wanneer hij nu nog moppert wederom
sudo apt-get -f installdan
sudo aptitude full-upgradenet zolang totdat alles geinstalleerd is.

Geen idee of je draadloos geupgrade hebt ?
Maar normaal gesproken krijg je dit soort dingen indien niet alles goed gedownload kon worden en of er pakketten beschadigt zijn.

eventueel zou je nog als noodgreep de beschadigde pakketten kunnen weggooien uit een paar mappen zodat die opnieuw gedownload worden.

Dus alles met de naam waar hij overstruikeld weghalen uit:
/var/lib/dpkg/info

en uit
/var/cache/apt/archives
I don't suffer from insanity, I enjoy every minute of it.
Microsoft geeft je een raam, Linux geeft je een heel huis :D

SaabTux

  • Gast
Mislukte upgrade
« Reactie #12 Gepost op: 2008/11/04, 23:13:09 »
Ik heb hetzelfde voor als Snadder maar dan met mijn Kubuntu.
Als ik de commando's van Gandyman invoer krijg ik een overzicht van de opties voor Aptitude.
Ik krijg steeds weer de melding dat er een probleem is met kio-umountwrapper, en dat ik dat handmatig moet oplossen.

Ik heb dit dan geprobeerd met het volgende commando:
sudo aptitude -f install kio-umountwrapperMaar er gebeurt niets.
Toen ik gisteren Aptitude opende in de console stond er de letter H voor het pakket kio-umountwrapper.
Vandaag nadat ik al enkele dingen heb geprobeerd zoals:
sudo apt-get update
sudo apt-get upgrade
Is er ineens geen vermelding meer over kio-umountwrapper in Aptitude, maar toen ik de commando's van Gandyman in gaf kloeg hij toch weer over dit pakket.

In KDE kan ik niets doen want mijn muis zit vast in het midden van het scherm.

Alvast bedankt,

SaabTux

SaabTux

  • Gast
Mislukte upgrade
« Reactie #13 Gepost op: 2008/11/04, 23:18:18 »
Was ik nog vergeten.

Als ik met Vi het bestand /var/lib/dpkg/info open staat er dat dit een dirctory is, en dan staat er niets meer.
Hetzelfde bij /var/cache/apt/archives.

Offline Prosper

  • Forumteam
  • Steunpunt: Nee
Mislukte upgrade
« Reactie #14 Gepost op: 2008/11/05, 00:01:40 »
Even tussendoor: als je muis vastzit, helpt het soms om ze even te unpluggen en weer in te steken...
Omwille van de besparingen hebben ze het licht aan het eind van de tunnel ook uitgedaan...

SaabTux

  • Gast
Mislukte upgrade
« Reactie #15 Gepost op: 2008/11/05, 22:56:49 »
Dat had ik ook al ergens gelezen, en dus heb ik dat al geprobeerd.
Ik heb ook al eens geprobeerd om /etc/x11/xorg.conf handmatig aan te passen in de console, maar toen ik het wilde openen met Vi stond er dat dit een leeg bestand was.

Even ter infromatie, ik gebruik Vi omdat mijn favoriete editor er ineens niet meer op staat.:(
Meestal gebruik ik Joe omdat je de help kan raadplegen tijdens het werken aan een bestand, en dan kun je bovenaan Joe de commando's zien.
Als de muis werkt gebruik ik Kwrite.